Download it now!
Bug 103170 (Notebookbar-ContextualGroups) - [META] Notebookbar Contextual
Summary: [META] Notebookbar Contextual
Status: NEW
Alias: Notebookbar-ContextualGroups
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:5.3.0 target:5.3.0.1
Keywords:
Depends on: 103637 104980 105290 107260 107261 107263 107264 107329 107330 107419 107420 107422 107423 119098 120981 125269 105672 105974 107262 120994
Blocks: Notebookbar
  Show dependency treegraph
 
Reported: 2016-10-12 23:06 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-12-02 21:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-12 23:06:24 UTC
This bug report will catalog the various patches to implement Heiko's implementation of a contextual mixed group button layout.

The glade file
sw/uiconfig/swriter/ui/notebookbar_groups.ui

The configuration file
officecfg/registry/data/org/openoffice/Office/UI/Notebookbar.xcu

The first patch for the implementation was submitted here
https://gerrit.libreoffice.org/28199

Szymon's various patches can be found here
https://gerrit.libreoffice.org/#/q/owner:eszkadev%2540gmail.com
Comment 1 Commit Notification 2016-10-13 17:50:43 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5a5b83b102ac84eb6013cd5383075493c5bcd8ba

tdf#103170 Remove button labels/tooltips and enable font controls

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2016-10-14 21:33:44 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=df84fdc645462e070b0227909f95716592885bde

tdf#103170 Adjust grid spacing and shrink section headings

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2016-10-15 02:25:13 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=619e74ccb0e97b0ea12ae11c5b36084706d5002e

tdf#103170 Add contextual image section buttons

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Maxim Monastirsky 2016-10-16 08:18:14 UTC
@Jay: Changing the "Label" property in *Commands.xcu also affects the customization dialog (and also the "Add commands" dialog), so now it says "PDF" instead of "Export as PDF". IMHO if the notebookbar needs different labels in some cases, it's OK to keep them in the .ui file.
Comment 5 Yousuf Philips (jay) (retired) 2016-10-16 10:56:30 UTC
@Maxim: The change is primarily for the toolbar and the notebookbar uses the same label and storing the labels in the .ui file would mean that the toolbar wouldnt have the corrected label and duplication of translation with our multiple implementations of the notebookbar. Should we create a new label in the .xcu file for toolbar labels?
Comment 6 Commit Notification 2016-10-16 18:10:48 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0792058084928e3f4391801431853a7415b7c258

tdf#103170 Heikobar: image section icons, alignment and menus

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-10-16 18:12:34 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=29834be11ab48245abca212c05715395f4704f78

tdf#103170 Heikobar: Add table section and adjust clipboard section

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2016-10-19 13:25:40 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=10b24e7fa8a9368e3d20e8511172bc01f04f5a1a

tdf#103170 Heikobar: hide list buttons and add third column to insert

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2016-10-19 21:43:53 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ec6a1391d97c016b1b911f579c0460205564af6b

tdf#103170 Heikobar: Add it to Calc

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2016-10-21 10:35:30 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=24b4487e50a1af604713d9609ab12fe7cf26949b

tdf#103170 Heikobar: Add it to Impress

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2016-11-23 14:56:58 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4ec7717ef45d18a2d6a37983b0a3d34c7953919

tdf#103170 make blank button labels not translatable

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2016-12-02 08:58:56 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c75700161f3dcd2eec15ce102ef3cfd5a4da678a&h=libreoffice-5-3

tdf#103170 make blank button labels not translatable

It will be available in 5.3.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Roman Kuznetsov 2019-05-13 17:14:06 UTC
let's add here all bugs for all variants of contextual NB